Suppliers

Get Supplier

Get a supplier by ID or external ID. The supplierId parameter works with both internal and external IDs.

GET
/api/v1/suppliers/{supplierId}
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

supplierId*string

The internal ID or external ID of the supplier

Response Body

application/json

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/suppliers/string"
{
  "success": true,
  "supplier": {
    "id": "string",
    "teamId": "string",
    "externalId": "string",
    "name": "string",
    "vatNumber": "string",
    "peppolAddresses": [
      "string"
    ],
    "createdAt": "string",
    "updatedAt": "string",
    "labels": [
      {
        "id": "string",
        "externalId": "string",
        "name": "string",
        "colorHex": "string"
      }
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}